commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rajagopal Manohar , ISDC - Chennai" <rajagop...@hcl.in>
Subject [Collections]commons-collections 4.x and backward compatibility w ith 2.x
Date Thu, 12 Jan 2006 11:30:42 GMT
Hi,

 

This is the Java doc from SequencedHashMap @deprecated: Replaced by
LinkedMap and ListOrderedMap in map subpackage. Due to be removed in v4.0.

 

We are using java 1.3 and commons collection 2.x. I want to know if our
binaries produced by compiling against commons-collections 2.x continue to
work if we decide to upgrade to commons-collection 4.x just as 1.3 binaries
will work with java 1.4. i.e. will the backward compatibility be broken with
4.x

 

If it is planned to break backwards compatibility I request the developers
to reconsider

 

PS: Is there any performance improvement in LinkedMap over SequencedHashMap
which I can use to make a compelling case to upgrade to commons-collection
3.x.

 

Thanks,

  Rajagopal

 

 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message